## org.apache.batik.dom.xbl
Class GenericXBLManager

    java.lang.Object
      org.apache.batik.dom.xbl.GenericXBLManager

All Implemented Interfaces:
  XBLManager

    public class GenericXBLManager

extends java.lang.Object
implements XBLManager

An XBL manager that performs no XBL processing.

Field Summary
`protected boolean` `isProcessing` Whether XBL processing is currently taking place.

Constructor Summary
`GenericXBLManager()`

Method Summary
`org.w3c.dom.Element` `getXblBoundElement(org.w3c.dom.Node n)` Get the bound element whose shadow tree a node resides in.
`org.w3c.dom.NodeList` `getXblChildNodes(org.w3c.dom.Node n)` Get the list of child nodes of a node in the fully flattened tree.
`org.w3c.dom.NodeList` `getXblDefinitions(org.w3c.dom.Node n)` Get the xbl:definition elements currently binding an element.
`org.w3c.dom.Node` `getXblFirstChild(org.w3c.dom.Node n)` Get the first child node of a node in the fully flattened tree.
`org.w3c.dom.Element` `getXblFirstElementChild(org.w3c.dom.Node n)` Get the first element child of a node in the fully flattened tree.
`org.w3c.dom.Node` `getXblLastChild(org.w3c.dom.Node n)` Get the last child node of a node in the fully flattened tree.
`org.w3c.dom.Element` `getXblLastElementChild(org.w3c.dom.Node n)` Get the last element child of a node in the fully flattened tree.
`org.w3c.dom.Element` `getXblNextElementSibling(org.w3c.dom.Node n)` Get the first element that follows a node in the xblParentNode's xblChildNodes list.
`org.w3c.dom.Node` `getXblNextSibling(org.w3c.dom.Node n)` Get the node which directly follows a node in thexblParentNode's xblChildNodes list.
`org.w3c.dom.Node` `getXblParentNode(org.w3c.dom.Node n)` Get the parent of a node in the fully flattened tree.
`org.w3c.dom.Element` `getXblPreviousElementSibling(org.w3c.dom.Node n)` Get the first element that precedes the a node in the xblParentNode's xblChildNodes list.
`org.w3c.dom.Node` `getXblPreviousSibling(org.w3c.dom.Node n)` Get the node which directly precedes a node in the xblParentNode's xblChildNodes list.
`org.w3c.dom.NodeList` `getXblScopedChildNodes(org.w3c.dom.Node n)` Get the list of child nodes of a node in the fully flattened tree that are within the same shadow scope.
`org.w3c.dom.Element` `getXblShadowTree(org.w3c.dom.Node n)` Get the shadow tree of a node.
`boolean` `isProcessing()` Returns whether XBL processing is currently enabled.
`void` `startProcessing()` Starts XBL processing on the document.
`void` `stopProcessing()` Stops XBL processing on the document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isProcessing

    protected boolean isProcessing

  Whether XBL processing is currently taking place.

Constructor Detail

### GenericXBLManager

    public GenericXBLManager()

Method Detail

### startProcessing

    public void startProcessing()

  Starts XBL processing on the document.

  Specified by:
    `startProcessing` in interface `XBLManager`

### stopProcessing

    public void stopProcessing()

  Stops XBL processing on the document.

  Specified by:
    `stopProcessing` in interface `XBLManager`

### isProcessing

    public boolean isProcessing()

  Returns whether XBL processing is currently enabled.

  Specified by:
    `isProcessing` in interface `XBLManager`

### getXblParentNode

    public org.w3c.dom.Node getXblParentNode(org.w3c.dom.Node n)

  Get the parent of a node in the fully flattened tree.

  Specified by:
    `getXblParentNode` in interface `XBLManager`

### getXblChildNodes

    public org.w3c.dom.NodeList getXblChildNodes(org.w3c.dom.Node n)

  Get the list of child nodes of a node in the fully flattened tree.

  Specified by:
    `getXblChildNodes` in interface `XBLManager`

### getXblScopedChildNodes

    public org.w3c.dom.NodeList getXblScopedChildNodes(org.w3c.dom.Node n)

  Get the list of child nodes of a node in the fully flattened tree that are within the same shadow scope.

  Specified by:
    `getXblScopedChildNodes` in interface `XBLManager`

### getXblFirstChild

    public org.w3c.dom.Node getXblFirstChild(org.w3c.dom.Node n)

  Get the first child node of a node in the fully flattened tree.

  Specified by:
    `getXblFirstChild` in interface `XBLManager`

### getXblLastChild

    public org.w3c.dom.Node getXblLastChild(org.w3c.dom.Node n)

  Get the last child node of a node in the fully flattened tree.

  Specified by:
    `getXblLastChild` in interface `XBLManager`

### getXblPreviousSibling

    public org.w3c.dom.Node getXblPreviousSibling(org.w3c.dom.Node n)

  Get the node which directly precedes a node in the xblParentNode's xblChildNodes list.

  Specified by:
    `getXblPreviousSibling` in interface `XBLManager`

### getXblNextSibling

    public org.w3c.dom.Node getXblNextSibling(org.w3c.dom.Node n)

  Get the node which directly follows a node in thexblParentNode's xblChildNodes list.

  Specified by:
    `getXblNextSibling` in interface `XBLManager`

### getXblFirstElementChild

    public org.w3c.dom.Element getXblFirstElementChild(org.w3c.dom.Node n)

  Get the first element child of a node in the fully flattened tree.

  Specified by:
    `getXblFirstElementChild` in interface `XBLManager`

### getXblLastElementChild

    public org.w3c.dom.Element getXblLastElementChild(org.w3c.dom.Node n)

  Get the last element child of a node in the fully flattened tree.

  Specified by:
    `getXblLastElementChild` in interface `XBLManager`

### getXblPreviousElementSibling

    public org.w3c.dom.Element getXblPreviousElementSibling(org.w3c.dom.Node n)

  Get the first element that precedes the a node in the xblParentNode's xblChildNodes list.

  Specified by:
    `getXblPreviousElementSibling` in interface `XBLManager`

### getXblNextElementSibling

    public org.w3c.dom.Element getXblNextElementSibling(org.w3c.dom.Node n)

  Get the first element that follows a node in the xblParentNode's xblChildNodes list.

  Specified by:
    `getXblNextElementSibling` in interface `XBLManager`

### getXblBoundElement

    public org.w3c.dom.Element getXblBoundElement(org.w3c.dom.Node n)

  Get the bound element whose shadow tree a node resides in.

  Specified by:
    `getXblBoundElement` in interface `XBLManager`

### getXblShadowTree

    public org.w3c.dom.Element getXblShadowTree(org.w3c.dom.Node n)

  Get the shadow tree of a node.

  Specified by:
    `getXblShadowTree` in interface `XBLManager`

### getXblDefinitions

    public org.w3c.dom.NodeList getXblDefinitions(org.w3c.dom.Node n)

  Get the xbl:definition elements currently binding an element.

  Specified by:
    `getXblDefinitions` in interface `XBLManager`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.